Loading...
Searching...
No Matches
pcl::octree::IteratorState Struct Reference

`#include <pcl/octree/octree_iterator.h>`

## Public Member Functions

| IteratorState ()=default
| IteratorState (OctreeNode *node, const OctreeKey &key, uindex_t depth)

## Public Attributes

OctreeNode * | node_ {nullptr}
OctreeKey | key_ {}
uindex_t | depth_ {0}

## Detailed Description

Definition at line 59 of file octree_iterator.h.

## Constructor & Destructor Documentation

## IteratorState() [1/2]

pcl::octree::IteratorState::IteratorState | ( |  | ) |

default

## IteratorState() [2/2]

pcl::octree::IteratorState::IteratorState | ( | OctreeNode * | node,
|  | const OctreeKey & | key,
|  | uindex_t | depth
| ) |  |

inline

Definition at line 64 of file octree_iterator.h.

## Member Data Documentation

## depth_

uindex_t pcl::octree::IteratorState::depth_ {0}

Definition at line 62 of file octree_iterator.h.

Referenced by pcl::octree::OctreeIteratorBase< OctreeT >::getCurrentOctreeDepth(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeBreadthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::reset(), and pcl::octree::OctreeBreadthFirstIterator< OctreeT >::reset().

## key_

OctreeKey pcl::octree::IteratorState::key_ {}

Definition at line 61 of file octree_iterator.h.

Referenced by pcl::octree::OctreeIteratorBase< OctreeT >::getCurrentOctreeKey(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeBreadthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeIteratorBase< OctreeT >::operator==(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::reset(), and pcl::octree::OctreeBreadthFirstIterator< OctreeT >::reset().

## node_

OctreeNode* pcl::octree::IteratorState::node_ {nullptr}

Definition at line 60 of file octree_iterator.h.

Referenced by pcl::octree::OctreeIteratorBase< OctreeT >::getBranchContainer(), pcl::octree::OctreeIteratorBase< OctreeT >::getBranchContainer(), pcl::octree::OctreeIteratorBase< OctreeT >::getCurrentOctreeNode(), pcl::octree::OctreeIteratorBase< OctreeT >::getLeafContainer(), pcl::octree::OctreeIteratorBase< OctreeT >::getLeafContainer(), pcl::octree::OctreeIteratorBase< OctreeT >::getNodeConfiguration(), pcl::octree::OctreeIteratorBase< OctreeT >::isBranchNode(), pcl::octree::OctreeIteratorBase< OctreeT >::isLeafNode(), pcl::octree::OctreeIteratorBase< OctreeT >::operator*(), pcl::octree::OctreeLeafNodeDepthFirstIterator< OctreeT >::operator*(), pcl::octree::OctreeLeafNodeBreadthFirstIterator< OctreeT >::operator*(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeBreadthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeLeafNodeDepthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::reset(), and pcl::octree::OctreeBreadthFirstIterator< OctreeT >::reset().

The documentation for this struct was generated from the following file:

- pcl/octree/octree_iterator.h